package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.eo.ItemGift;

import java.util.List;

/**
 *  订单项关联赠品池接口
 * @author Administrator
 * @Date 2019-10-29
 */
public interface ItemGiftMapper {
    /**
     * 获取集合
     * @param  itemGift
     * @return List
     */
    List<ItemGift> getItemGiftList(ItemGift  itemGift);
    /**
     * 查询单条数据
     * @param  id
     * @return  itemGift
     */
    ItemGift  getItemGiftById(Integer  id);
    /**
     * 增加数据
     * @param  itemGift
     * @return Integer
     */
    Integer  save(ItemGift  itemGift);
    /**
     * 修改数据
     * @param  itemGift
     * @return Integer
     */
    Integer  update(ItemGift  itemGift);

    /**
     * 增加数据 <集合>
     * @param  itemGiftList
     * @return Integer
     */
    Integer  saveList(List<ItemGift>  itemGiftList);
}